Figure - Bug #113017

00 Test-1T # 111062 (New): V3.00 0 O O
O 0O Test-1T # 111067 (New): AF-V3.0--Launcher/SystemUI-0 0 0 O 0O

UAFOOEVIOOOOOOOOO0OO0OO0bO00oboobobooooboboooboonbooobood
2022-10-26 15:03 - CD TEST-0 0 [

0.0.0.20:

D.X101.2

SettingC

Status: CLOSED Start date: 2022-10-26

Priority: High Due date:

Assignee: CDTEST-UDOO % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: - Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug,
Resolution: FIXED Degrated: -

Severity: Normal Verified Version: FlatBuild_ HH_VX1_MCE_FSE.M.D.user.01.0
Reproducibility: Every time Fixed Version: 2022-10-29

Test Type: IT Root cause: FWOOOOOODOODODOOODOOTask,
Description
History

#1 - 2022-10-26 15:07 - CD APP-0 O
- Status changed from New to ASSIGNED
- Assignee changed from CD APP-00 O to CD- App-0 0 O

#2 - 2022-10-26 18:22 - CD- App-0 0 O

m Current conclusion

bugd O OO
m My analysis

1L00OsettingsD OO0 O0O0O0OC0OOC0OOCOOOQOsettingsD 00000 0OOactivity,D 0O 00O O activityd O O OsettingsD 00 0 OtasklistD 0000000

0 task

200 000000androdC 00 0000000000000 00O0O0000O activityDOODOOODDO Osettings, 000000000 O0ODO settings
Otask listO O 00 00O O O taskO
3.0000000000000000000settingsd O O O intentd actiond com.android.settings.nomepage.SettingsHomepageActivity (I
#3 - 2022-10-26 18:23 - CD- App-0 O O
- Assignee changed from CD- App-00 0 O to CD APP-0 O

#4 - 2022-10-27 13:59 - CD APP-0 O
- Assignee changed from CD APP-00 O to CD- FW-0O O

obooooooooooo

#5 - 2022-10-27 22:17 - CD-FW-0O O

00000000 SettingsOD 00000000

10-27 20:58:04.200 1036 24785 | ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[com.android.settings. SHORTCUT] flg=0x14000000
cmp=com.android.settings/.*Settings$BluetoothSettingsActivity* bnds=[672,684][932,960]} from uid 1000

10-27 20:58:04.401 24786 24786 D SettingsActivity: START SettingsComponentinfo{com.android.settings/com.android.settings.homepage.SettingsHomepageActivity}
10-27 20:58:04.409 1036 9920 | ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[com.android.settings. SHORTCUT] flg=0x14000000
cmp=com.android.settings/.*homepage.SettingsHomepageActivity* bnds=[672,684][932,960] (has extras)} from uid 1000

00000000 DO Settings$BluetoothSettingsActivityd 0 O O O O homepage.SettingsHomepageActivity

recentd 0 O 20 taskO

0000O0O0Obugh OO O https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/150404

O00Settingd 0000000 OActivityD 0000 OO0 O LauncherD recent loadTasksO ActivityManagerWrapperD D 0 OO0 O000O0O0O0O0O

#6 - 2022-10-28 15:41 - CD-FW-0O O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD- FW-0 O to CD TEST-0 O O

- Resolution changed from -- to FIXED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221029

- Fixed Version set to 2022-10-29

-RootcausesettoFWO O O OO0 000000 D0OOTaskSettingd 0000000 O0OO0ODOONODO O Taskd FLAG
O Intent.FLAG_ACTIVITY_NEW _TASKO O O O Setting0 0 0 000 00O 0O O O Task.

J00000OWOOOOOOOOOOO0OOOOTasksettingd 0000000000 OOOOOTaskO FLAGO Intent.FLAG_ACTIVITY_NEW_TASKO
OO0O0Setting0 000 O0O0O0O0OOOO Task.

DO0000OOSettingD OO 0O OsigleTaskOOOOOOODODOODOSettingd DOflagd0000000O0OOODOODODOODODODODOODODOODODODODOO
gooooo

000 O O Settting Shortcutt) 0 0 0 0 0 0O O O O Shortcut™ taskD O O O O O O Settingsd taskC O O Recentd O 0 0 0O O O O O task

gooooo
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158716

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/158713
2000Settings0 0O O0O0OOOO
300000000000 Orecentd O SettingD D000 OO0 OONO Settingsd O O
40000000000 recentd OSettingD OO OOOOCODOD DO Settings OO

50 O O DockO SettingD) O O O Settingd O O O O recentd O Setting0 0 00O 00O 0O 0O 0O O SettingsD O O
6000000000 0recentd OSettingd 00000 OOODO O SettingsD O O
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/150404
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158716
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/158713

#7 - 2022-10-28 15:42 - CD- FW-0O O
- % Done changed from 0 to 100

#8 - 2022-10-28 20:08 - CDTS_TEST O O
- Target version changed from VX1_MCE_FSE_V3.0_20221030to VX1_MCE_FSE_V3.0_update_20221115

#9 - 2022-10-3111:31-CD TEST-0O0 O O

- Status changed from RESOLVED to VERIFIED
- Verified Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221029 to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

lo3lgooooooooooboooooooooooobooooooooooooobooooboboOooon

#10-2022-10-3111:31-CD TEST-0 O O
- Status changed from VERIFIED to CLOSED

#11 - 2022-12-22 20:47 - CD FwW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
158713 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | shihao0506@thundersoft.com
-dev

AF:Recents:Fix multiple same tasks in recentTC-RID: 1201-02053021ssuelD: TS-R-DF-113017Change-1d: 179bc49c5932f3a638fd3295¢c647¢3d2569278d3d

#12 - 2022-12-22 20:47 - CD Fw-0O O
Gerrit Merge Information(]

1D Project Branch Uploader
158716 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | shihao0506@thundersoft.com
gs -dev

AF:Recents:Fix multiple settings tasks in recentTC-RID: 1201-02053021ssuelD: TS-R-DF-113017Change-1d: 1914c740e0ef723f160e8b527260f2cc362693a71

Files
1501.txt 552 KB 2022-10-26 CDTEST-O0 OO
Oo0ood.png 87.6 KB 2022-10-26 CDTEST-O0 OO
